Freeciv-3.2: packet_scenario_info Struct Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Fields
packet_scenario_info Struct Reference

`#include <packets_gen.h>`

## Data Fields

bool | is_scenario
char | name [256]
char | authors [MAX_LEN_PACKET/3]
bool | players
bool | startpos_nations
bool | save_random
bool | prevent_new_cities
bool | lake_flooding
bool | handmade
bool | allow_ai_type_fallback
bool | ruleset_locked
char | datafile [MAX_LEN_NAME]
bool | have_resources
char | req_caps [257]

## Detailed Description

Definition at line 1603 of file packets_gen.h.

## Field Documentation

## ◆ allow_ai_type_fallback

bool packet_scenario_info::allow_ai_type_fallback

Definition at line 1613 of file packets_gen.h.

Referenced by game_defaults(), handle_scenario_info(), send_packet_scenario_info_100(), sg_load_players_basic(), sg_load_players_basic(), sg_load_scenario(), sg_load_scenario(), and sg_save_scenario().

## ◆ authors

char packet_scenario_info::authors[MAX_LEN_PACKET/3]

Definition at line 1606 of file packets_gen.h.

Referenced by game_defaults(), handle_edit_game(), handle_scenario_info(), send_packet_scenario_info_100(), sg_load_scenario(), sg_load_scenario(), and sg_save_scenario().

## ◆ datafile

char packet_scenario_info::datafile[MAX_LEN_NAME]

Definition at line 1615 of file packets_gen.h.

Referenced by send_packet_scenario_info_100(), sg_load_savefile(), sg_load_scenario(), and sg_save_scenario().

## ◆ handmade

bool packet_scenario_info::handmade

Definition at line 1612 of file packets_gen.h.

Referenced by game_defaults(), handle_game_info(), handle_save_scenario(), handle_scenario_info(), send_packet_scenario_info_100(), sg_load_scenario(), sg_load_scenario(), and sg_save_scenario().

## ◆ have_resources

bool packet_scenario_info::have_resources

Definition at line 1616 of file packets_gen.h.

Referenced by game_defaults(), handle_scenario_info(), send_packet_scenario_info_100(), sg_load_map(), sg_load_map(), sg_load_map_tiles_extras(), sg_load_map_tiles_resources(), and sg_save_map().

## ◆ is_scenario

bool packet_scenario_info::is_scenario

Definition at line 1604 of file packets_gen.h.

Referenced by game_defaults(), generator_validate(), handle_edit_game(), handle_save_scenario(), handle_scenario_info(), send_packet_scenario_info_100(), set_rulesetdir(), setting_is_free_to_change(), sg_load_players_basic(), sg_load_players_basic(), sg_load_random(), sg_load_savefile(), sg_load_scenario(), sg_load_scenario(), sg_save_scenario(), and srv_ready().

## ◆ lake_flooding

bool packet_scenario_info::lake_flooding

Definition at line 1611 of file packets_gen.h.

Referenced by check_terrain_change(), game_defaults(), handle_edit_game(), handle_scenario_info(), send_packet_scenario_info_100(), sg_load_scenario(), sg_load_scenario(), and sg_save_scenario().

## ◆ name

char packet_scenario_info::name[256]

Definition at line 1605 of file packets_gen.h.

Referenced by game_defaults(), handle_edit_game(), handle_scenario_info(), send_packet_scenario_info_100(), set_rulesetdir(), sg_load_savefile(), sg_load_scenario(), sg_load_scenario(), and sg_save_scenario().

## ◆ players

bool packet_scenario_info::players

Definition at line 1607 of file packets_gen.h.

Referenced by game_defaults(), handle_edit_game(), handle_scenario_info(), send_packet_scenario_info_100(), setting_is_free_to_change(), sg_load_scenario(), sg_load_scenario(), sg_save_game(), sg_save_scenario(), srv_ready(), and start_game().

## ◆ prevent_new_cities

bool packet_scenario_info::prevent_new_cities

Definition at line 1610 of file packets_gen.h.

Referenced by actres_possible(), can_player_build_unit_direct(), city_gold_worth(), contemplate_new_city(), domestic_advisor_choose_build(), expl_act_not_enabl(), find_city_or_settler_near_tile(), game_defaults(), get_settlers(), handle_edit_game(), handle_scenario_info(), helptext_unit(), send_packet_scenario_info_100(), sg_load_scenario(), sg_load_scenario(), sg_save_scenario(), units_contain_cityfounder(), and utype_is_cityfounder().

## ◆ req_caps

char packet_scenario_info::req_caps[257]

Definition at line 1617 of file packets_gen.h.

Referenced by send_packet_scenario_info_100(), sg_load_savefile(), and sg_save_scenario().

## ◆ ruleset_locked

bool packet_scenario_info::ruleset_locked

Definition at line 1614 of file packets_gen.h.

Referenced by game_defaults(), handle_edit_game(), handle_scenario_info(), send_packet_scenario_info_100(), set_rulesetdir(), sg_load_savefile(), sg_load_scenario(), sg_load_scenario(), and sg_save_scenario().

## ◆ save_random

bool packet_scenario_info::save_random

Definition at line 1609 of file packets_gen.h.

Referenced by game_defaults(), handle_edit_game(), handle_scenario_info(), send_packet_scenario_info_100(), sg_load_random(), sg_load_scenario(), sg_load_scenario(), sg_save_random(), and sg_save_scenario().

## ◆ startpos_nations

bool packet_scenario_info::startpos_nations

Definition at line 1608 of file packets_gen.h.

Referenced by client_can_pick_nation(), game_defaults(), handle_edit_game(), handle_scenario_info(), pick_a_nation(), send_packet_scenario_info_100(), sg_load_scenario(), sg_load_scenario(), and sg_save_scenario().